## ATSUI Fonts

ATSUI Fonts — Font handling and rendering with ATSUI fonts

## Synopsis

                PangoCairoATSUIFont;
    ATSUFontID  pango_cairo_atsui_font_get_atsu_font_id
                                                (PangoCairoATSUIFont *cafont);

## Description

The macros and functions in this section are used to access fonts natively on MacOS systems using the ATSUI text rendering subsystem.

## Details

### PangoCairoATSUIFont

    typedef struct _PangoCairoATSUIFont PangoCairoATSUIFont;

The PangoCairoATSUIFont is PangoFont used to represent an ATSUI font used with the cairo backend.

### pango_cairo_atsui_font_get_atsu_font_id ()

    ATSUFontID  pango_cairo_atsui_font_get_atsu_font_id
                                                (PangoCairoATSUIFont *cafont);

Returns the ATSUFontID of a font.

`cafont` : | A PangoCairoATSUIFont
Returns : | the ATSUFontID associated to `cafont`.

Since 1.12